package com.ruoyi.project.patrol.dev.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.dev.mapper.TDevAlarmMapper;
import com.ruoyi.project.patrol.dev.domain.TDevAlarm;
import com.ruoyi.project.patrol.dev.service.ITDevAlarmService;

/**
 * 现场可燃气体检测器/火灾报警系统Service业务层处理
 * 
 * @author admin
 * @date 2023-11-01
 */
@Service
public class TDevAlarmServiceImpl implements ITDevAlarmService 
{
    @Autowired
    private TDevAlarmMapper tDevAlarmMapper;

    /**
     * 查询现场可燃气体检测器/火灾报警系统
     * 
     * @param id 现场可燃气体检测器/火灾报警系统主键
     * @return 现场可燃气体检测器/火灾报警系统
     */
    @Override
    public TDevAlarm selectTDevAlarmById(Long id)
    {
        return tDevAlarmMapper.selectTDevAlarmById(id);
    }

    /**
     * 查询现场可燃气体检测器/火灾报警系统列表
     * 
     * @param tDevAlarm 现场可燃气体检测器/火灾报警系统
     * @return 现场可燃气体检测器/火灾报警系统
     */
    @Override
    public List<TDevAlarm> selectTDevAlarmList(TDevAlarm tDevAlarm)
    {
        return tDevAlarmMapper.selectTDevAlarmList(tDevAlarm);
    }

    /**
     * 新增现场可燃气体检测器/火灾报警系统
     * 
     * @param tDevAlarm 现场可燃气体检测器/火灾报警系统
     * @return 结果
     */
    @Override
    public int insertTDevAlarm(TDevAlarm tDevAlarm)
    {
        return tDevAlarmMapper.insertTDevAlarm(tDevAlarm);
    }

    /**
     * 修改现场可燃气体检测器/火灾报警系统
     * 
     * @param tDevAlarm 现场可燃气体检测器/火灾报警系统
     * @return 结果
     */
    @Override
    public int updateTDevAlarm(TDevAlarm tDevAlarm)
    {
        return tDevAlarmMapper.updateTDevAlarm(tDevAlarm);
    }

    /**
     * 批量删除现场可燃气体检测器/火灾报警系统
     * 
     * @param ids 需要删除的现场可燃气体检测器/火灾报警系统主键
     * @return 结果
     */
    @Override
    public int deleteTDevAlarmByIds(Long[] ids)
    {
        return tDevAlarmMapper.deleteTDevAlarmByIds(ids);
    }

    /**
     * 删除现场可燃气体检测器/火灾报警系统信息
     * 
     * @param id 现场可燃气体检测器/火灾报警系统主键
     * @return 结果
     */
    @Override
    public int deleteTDevAlarmById(Long id)
    {
        return tDevAlarmMapper.deleteTDevAlarmById(id);
    }
}
